import {
  index,
  layout,
  route,
  type RouteConfig
} from '@react-router/dev/routes'

export default [
  layout('routes/layout.tsx', [
    index('routes/index.tsx'),
    route('/signup', 'routes/signup.tsx'),
    route('/forgot', 'routes/forgot.tsx'),
    route('/deny', 'routes/deny.tsx')
  ]),
  route('/authorize', 'routes/authorize.ts'),
  route('/*', 'routes/upstream.ts')
] satisfies RouteConfig
